Name:           lbreakouthd
Version:        1.0.6
Release:        1%{?dist}
Summary:        A ball-and-paddle game with nice graphics.

License:        GPLv3
URL:            http://lgames.sourceforge.net/LBreakoutHD/
Source0:        https://sourceforge.net/projects/lgames/files/%{name}/%{name}-%{version}.tar.gz
Patch0:         0001-Remove-no-format-compilation-flag.patch
Patch1:         0002-Move-icon-file.patch

BuildRequires:  autoconf automake gcc gcc-c++
BuildRequires:  SDL2-devel SDL2_ttf-devel SDL2_image-devel SDL2_mixer-devel

%description
LBreakout is a classical Breakout game, improved with the powers of
the SDL library. Its features include: sound, highscore, a menu with
mouse support, mouse or keyboard can be used for playing, controls can
be redefined, your starting level can be chosen, a difficulty can be
selected (easy, medium, hard), various backgrounds, a lot of
collectable extras, nice graphics, cool effects and own levels can be
created. Give it a try!

%prep
%autosetup -p1
autoreconf


%build
%configure --localstatedir=%{_localstatedir}/games
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/%{name}
%{_localstatedir}/games/%{name}.hscr


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%changelog
* Sat Feb 22 2020 Olivier Samyn 🎻 <code@oleastre.be>
- Initial fedora package
